> For the complete documentation index, see [llms.txt](https://gitbook-docs.coinmetrics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://gitbook-docs.coinmetrics.io/packages/cm-labs.md).

# CM Labs

[CM Labs](https://coinmetrics.io/cm-labs/) is a place for our pioneering team to experiment. Here, you'll find associate passion projects, fun prototypes, test products/features and cutting edge efforts that are experimental in nature. Many of our most popular commercial products have their roots in these innovative, community-first efforts.

While CM Labs products and features are very cool, for one reason or another, we are not quite ready to incorporate them into our mainstream product offerings.

## Identification of CM Labs Efforts

In addition to the projects and prototypes you'll find on our CM Labs [site](https://coinmetrics.io/cm-labs/), you will also notice certain metrics and assets (e.g., ICP) flagged in our tools as CM Labs.

![](/files/-Mhu_Vi0MoqZCK1wqUUG)

This flag also exists in our catalogs. Experimental assets/metrics with have `"experimental": true` in the array of objects returned for that asset/metric.

```
 }, {
    "asset" : "icp",
    "full_name" : "Internet Computer",
    "experimental" : true,
    "metrics" : [ {
      "metric" : "AdrAct30dCnt",
      "frequencies" : [ {
        "frequency" : "1d",
        "min_time" : "2021-05-06T00:00:00.000000000Z",
        "max_time" : "2021-08-23T00:00:00.000000000Z"
      } ]
```

{% hint style="warning" %}
While we obviously feel there is value in making these experimental assets/metrics available, please exercise caution given their experimental nature.
{% endhint %}

## Examples of Labs Efforts

Below are some examples of Labs efforts:

* Experimental on-chain asset coverage in NDP and Atlas (e.g., ICP, DOT, ALGO, XTZ)
* DeFi Market Data (i.e., Uniswap and Sushiswap swaps, liquidity pool metadata, candles, and volume metrics)
* Farum Risk Management offerings (e.g., Mining Pool Monitor (`/mining-pool-tips-summary`), Reorg & Fork Tracker (`/asset-chains`)
* Flat Files Delivery System


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://gitbook-docs.coinmetrics.io/packages/cm-labs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
